<template>
  <div>
    <button class="btn btn-danger" @click="emtyPor" style="cursor: pointer">خالی کردن سبد </button>
    <app-stock v-for="stock in stocks" :stock="stock"></app-stock>
  </div>
</template>

<script>
  import Stock from './Stock.vue'
  import {mapGetters} from 'vuex'
  import {mapActions} from 'vuex'

  export default{
    computed: {
      ...mapGetters({
          stocks: 'stockPorfolio'
      }),
      ...mapActions({
        clearStocks:'abbasClearStore'
      }),
    },
    components: {
      appStock: Stock
    },
    methods:{
      emtyPor(){
        // this.clearBasket()
        // this.clearBasket()
        console.log("asdf")
        this.clearStocks()
      }
    }
  }
</script>